Package org.lwjgl.opengl

# Class GL32

java.lang.Object
org.lwjgl.opengl.GL32

public final class GL32 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALREADY_SIGNALED`
Returned by ClientWaitSync:
`static final int`
`GL_CONDITION_SATISFIED`
Returned by ClientWaitSync:
`static final int`
`GL_CONTEXT_COMPATIBILITY_PROFILE_BIT`
`static final int`
`GL_CONTEXT_CORE_PROFILE_BIT`
`static final int`
`GL_CONTEXT_PROFILE_MASK`
`static final int`
`GL_DEPTH_CLAMP`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FIRST_VERTEX_CONVENTION`
Accepted by the <mode> parameter of ProvokingVertex:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_LAYERED`
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS`
Returned by CheckFramebufferStatusEXT:
`static final int`
`GL_GEOMETRY_INPUT_TYPE`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_GEOMETRY_OUTPUT_TYPE`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_GEOMETRY_SHADER`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_GEOMETRY_VERTICES_OUT`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_INT_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_LAST_VERTEX_CONVENTION`
Accepted by the <mode> parameter of ProvokingVertex:
`static final int`
`GL_LINE_STRIP_ADJACENCY`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_LINES_ADJACENCY`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_MAX_COLOR_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_DEPTH_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_FRAGMENT_INPUT_COMPONENTS`
`static final int`
`GL_MAX_GEOMETRY_INPUT_COMPONENTS`
`static final int`
`GL_MAX_GEOMETRY_OUTPUT_COMPONENTS`
`static final int`
`GL_MAX_GEOMETRY_OUTPUT_VERTICES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_INTEGER_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_SAMPLE_MASK_WORDS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_SERVER_WAIT_TIMEOUT`
Accepted as the <pname> parameter of GetInteger64v:
`static final int`
`GL_MAX_VERTEX_OUTPUT_COMPONENTS`
`static final int`
`GL_OBJECT_TYPE`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_PROGRAM_POINT_SIZE`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:
`static final int`
`GL_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PROXY_TEXTURE_2D_MULTISAMPLE`
Accepted by the <target> parameter of TexImage2DMultisample:
`static final int`
`GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY`
Accepted by the <target> parameter of TexImage3DMultisample:
`static final int`
`GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLE_MASK`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLE_MASK_VALUE`
Accepted by the <target> parameter of GetBooleani_v and GetIntegeri_v:
`static final int`
`GL_SAMPLE_POSITION`
Accepted by the <pname> parameter of GetMultisamplefv:
`static final int`
`GL_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SIGNALED`
Returned in <values> for GetSynciv <pname> SYNC_STATUS:
`static final int`
`GL_SYNC_CONDITION`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_SYNC_FENCE`
Returned in <values> for GetSynciv <pname> OBJECT_TYPE:
`static final int`
`GL_SYNC_FLAGS`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_SYNC_FLUSH_COMMANDS_BIT`
Accepted in the <flags> parameter of ClientWaitSync:
`static final int`
`GL_SYNC_GPU_COMMANDS_COMPLETE`
Returned in <values> for GetSynciv <pname> SYNC_CONDITION:
`static final int`
`GL_SYNC_STATUS`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE`
Accepted by the <target> parameter of BindTexture and TexImage2DMultisample:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE_ARRAY`
Accepted by the <target> parameter of BindTexture and TexImage3DMultisample:
`static final int`
`GL_TEXTURE_BINDING_2D_MULTISAMPLE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_CUBE_MAP_SEAMLESS`
Accepted by the <cap> parameter of Enable, Disable and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:
`static final int`
`GL_TEXTURE_FIXED_SAMPLE_LOCATIONS`
Accepted by the <pname> parameter of GetTexLevelParameter
`static final int`
`GL_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetTexLevelParameter
`static final int`
`GL_TIMEOUT_EXPIRED`
Returned by ClientWaitSync:
`static final long`
`GL_TIMEOUT_IGNORED`
Accepted in the <timeout> parameter of WaitSync:
`static final int`
`GL_TRIANGLE_STRIP_ADJACENCY`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_TRIANGLES_ADJACENCY`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_UNSIGNALED`
Returned in <values> for GetSynciv <pname> SYNC_STATUS:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_WAIT_FAILED`
Returned by ClientWaitSync:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static void`
`glDeleteSync(GLSync sync)`
`static void`
`glDrawElementsBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, ByteBuffer indices, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, IntBuffer indices, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, ShortBuffer indices, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, ByteBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, IntBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, ShortBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, ByteBuffer indices, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, IntBuffer indices, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, ShortBuffer indices, int basevertex)`
`static GLSync`
`glFenceSync(int condition, int flags)`
`static void`
`glFramebufferTexture(int target, int attachment, int texture, int level)`
`static long`
`glGetBufferParameter(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetBufferParameter(int target, int pname, LongBuffer params)`
`static long`
`glGetBufferParameteri64(int target, int pname)`
Overloads glGetBufferParameteri64v.
`static long`
`glGetInteger64(int pname)`
Overloads glGetInteger64v.
`static long`
`glGetInteger64(int value, int index)`
Overloads glGetInteger64i_v.
`static void`
`glGetInteger64(int value, int index, LongBuffer data)`
`static void`
`glGetInteger64(int pname, LongBuffer data)`
`static void`
`glGetMultisample(int pname, int index, FloatBuffer val)`
`static int`
`glGetSync(GLSync sync, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static boolean`
`glIsSync(GLSync sync)`
`static void`
`glProvokingVertex(int mode)`
`static void`
`glSampleMaski(int index, int mask)`
`static void`
`glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)`
`static void`
`glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)`
`static void`
`glWaitSync(GLSync sync, int flags, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_CONTEXT_PROFILE_MASK

public static final int GL_CONTEXT_PROFILE_MASK

See Also:
  - Constant Field Values

### GL_CONTEXT_CORE_PROFILE_BIT

public static final int GL_CONTEXT_CORE_PROFILE_BIT

See Also:
  - Constant Field Values

### GL_CONTEXT_COMPATIBILITY_PROFILE_BIT

public static final int GL_CONTEXT_COMPATIBILITY_PROFILE_BIT

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_OUTPUT_COMPONENTS

public static final int GL_MAX_VERTEX_OUTPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_INPUT_COMPONENTS

public static final int GL_MAX_GEOMETRY_INPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_OUTPUT_COMPONENTS

public static final int GL_MAX_GEOMETRY_OUTPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_INPUT_COMPONENTS

public static final int GL_MAX_FRAGMENT_INPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_FIRST_VERTEX_CONVENTION

public static final int GL_FIRST_VERTEX_CONVENTION
Accepted by the <mode> parameter of ProvokingVertex:

See Also:
  - Constant Field Values

### GL_LAST_VERTEX_CONVENTION

public static final int GL_LAST_VERTEX_CONVENTION
Accepted by the <mode> parameter of ProvokingVertex:

See Also:
  - Constant Field Values

### GL_PROVOKING_VERTEX

public static final int GL_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

public static final int GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_SEAMLESS

public static final int GL_TEXTURE_CUBE_MAP_SEAMLESS
Accepted by the <cap> parameter of Enable, Disable and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

### GL_SAMPLE_POSITION

public static final int GL_SAMPLE_POSITION
Accepted by the <pname> parameter of GetMultisamplefv:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK

public static final int GL_SAMPLE_MASK
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK_VALUE

public static final int GL_SAMPLE_MASK_VALUE
Accepted by the <target> parameter of GetBooleani_v and GetIntegeri_v:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE

public static final int GL_TEXTURE_2D_MULTISAMPLE
Accepted by the <target> parameter of BindTexture and TexImage2DMultisample:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE

public static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE
Accepted by the <target> parameter of TexImage2DMultisample:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE_ARRAY

public static final int GL_TEXTURE_2D_MULTISAMPLE_ARRAY
Accepted by the <target> parameter of BindTexture and TexImage3DMultisample:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

public static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY
Accepted by the <target> parameter of TexImage3DMultisample:

See Also:
  - Constant Field Values

### GL_MAX_SAMPLE_MASK_WORDS

public static final int GL_MAX_SAMPLE_MASK_WORDS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_COLOR_TEXTURE_SAMPLES

public static final int GL_MAX_COLOR_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_DEPTH_TEXTURE_SAMPLES

public static final int GL_MAX_DEPTH_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_INTEGER_SAMPLES

public static final int GL_MAX_INTEGER_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE

public static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

public static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SAMPLES

public static final int GL_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetTexLevelParameter

See Also:
  - Constant Field Values

### GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

public static final int GL_TEXTURE_FIXED_SAMPLE_LOCATIONS
Accepted by the <pname> parameter of GetTexLevelParameter

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE

public static final int GL_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE

public static final int GL_INT_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

public static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_DEPTH_CLAMP

public static final int GL_DEPTH_CLAMP
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SHADER

public static final int GL_GEOMETRY_SHADER
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_VERTICES_OUT

public static final int GL_GEOMETRY_VERTICES_OUT
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_INPUT_TYPE

public static final int GL_GEOMETRY_INPUT_TYPE
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_OUTPUT_TYPE

public static final int GL_GEOMETRY_OUTPUT_TYPE
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS

public static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_OUTPUT_VERTICES

public static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS

public static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_LINES_ADJACENCY

public static final int GL_LINES_ADJACENCY
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_LINE_STRIP_ADJACENCY

public static final int GL_LINE_STRIP_ADJACENCY
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_TRIANGLES_ADJACENCY

public static final int GL_TRIANGLES_ADJACENCY
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_TRIANGLE_STRIP_ADJACENCY

public static final int GL_TRIANGLE_STRIP_ADJACENCY
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS

public static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS
Returned by CheckFramebufferStatusEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_LAYERED

public static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_POINT_SIZE

public static final int GL_PROGRAM_POINT_SIZE
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:

See Also:
  - Constant Field Values

### GL_MAX_SERVER_WAIT_TIMEOUT

public static final int GL_MAX_SERVER_WAIT_TIMEOUT
Accepted as the <pname> parameter of GetInteger64v:

See Also:
  - Constant Field Values

### GL_OBJECT_TYPE

public static final int GL_OBJECT_TYPE
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_CONDITION

public static final int GL_SYNC_CONDITION
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_STATUS

public static final int GL_SYNC_STATUS
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_FLAGS

public static final int GL_SYNC_FLAGS
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_FENCE

public static final int GL_SYNC_FENCE
Returned in <values> for GetSynciv <pname> OBJECT_TYPE:

See Also:
  - Constant Field Values

### GL_SYNC_GPU_COMMANDS_COMPLETE

public static final int GL_SYNC_GPU_COMMANDS_COMPLETE
Returned in <values> for GetSynciv <pname> SYNC_CONDITION:

See Also:
  - Constant Field Values

### GL_UNSIGNALED

public static final int GL_UNSIGNALED
Returned in <values> for GetSynciv <pname> SYNC_STATUS:

See Also:
  - Constant Field Values

### GL_SIGNALED

public static final int GL_SIGNALED
Returned in <values> for GetSynciv <pname> SYNC_STATUS:

See Also:
  - Constant Field Values

### GL_SYNC_FLUSH_COMMANDS_BIT

public static final int GL_SYNC_FLUSH_COMMANDS_BIT
Accepted in the <flags> parameter of ClientWaitSync:

See Also:
  - Constant Field Values

### GL_TIMEOUT_IGNORED

public static final long GL_TIMEOUT_IGNORED
Accepted in the <timeout> parameter of WaitSync:

See Also:
  - Constant Field Values

### GL_ALREADY_SIGNALED

public static final int GL_ALREADY_SIGNALED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_TIMEOUT_EXPIRED

public static final int GL_TIMEOUT_EXPIRED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_CONDITION_SATISFIED

public static final int GL_CONDITION_SATISFIED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_WAIT_FAILED

public static final int GL_WAIT_FAILED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

## Method Details

### glGetBufferParameter

public static void glGetBufferParameter(int target, int pname, LongBuffer params)

### glGetBufferParameter

@Deprecated public static long glGetBufferParameter(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetBufferParameteri64(int, int)` instead.
Overloads glGetBufferParameteri64v.

### glGetBufferParameteri64

public static long glGetBufferParameteri64(int target, int pname)
Overloads glGetBufferParameteri64v.

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, ByteBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, IntBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, ShortBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, ByteBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, IntBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, ShortBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, ByteBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, IntBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, ShortBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex)

### glProvokingVertex

public static void glProvokingVertex(int mode)

### glTexImage2DMultisample

public static void glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)

### glTexImage3DMultisample

public static void glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)

### glGetMultisample

public static void glGetMultisample(int pname, int index, FloatBuffer val)

### glSampleMaski

public static void glSampleMaski(int index, int mask)

### glFramebufferTexture

public static void glFramebufferTexture(int target, int attachment, int texture, int level)

### glFenceSync

public static GLSync glFenceSync(int condition, int flags)

### glIsSync

public static boolean glIsSync(GLSync sync)

### glDeleteSync

public static void glDeleteSync(GLSync sync)

### glClientWaitSync

public static int glClientWaitSync(GLSync sync, int flags, long timeout)

### glWaitSync

public static void glWaitSync(GLSync sync, int flags, long timeout)

### glGetInteger64

public static void glGetInteger64(int pname, LongBuffer data)

### glGetInteger64

public static long glGetInteger64(int pname)
Overloads glGetInteger64v.

### glGetInteger64

public static void glGetInteger64(int value, int index, LongBuffer data)

### glGetInteger64

public static long glGetInteger64(int value, int index)
Overloads glGetInteger64i_v.

### glGetSync

public static void glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)

### glGetSync

@Deprecated public static int glGetSync(GLSync sync, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetSynci(org.lwjgl.opengl.GLSync, int)` instead.
Overloads glGetSynciv.

### glGetSynci

public static int glGetSynci(GLSync sync, int pname)
Overloads glGetSynciv.